Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ncsa.hdf.hdf5lib.structs
Class H5O_info_t

    java.lang.Object
      ncsa.hdf.hdf5lib.structs.H5O_info_t

All Implemented Interfaces:
  java.io.Serializable

    public class H5O_info_t

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`long` | `addr`
`long` | `atime`
`long` | `btime`
`long` | `ctime`
`long` | `fileno`
`H5O_hdr_info_t` | `hdr`
`H5_ih_info_t` | `meta_size_attr`
`H5_ih_info_t` | `meta_size_obj`
`long` | `mtime`
`long` | `num_attrs`
`int` | `rc`
`int` | `type`

Constructor Summary
`H5O_info_t(long fileno, long addr, int type, int rc, long num_attrs, long atime, long mtime, long ctime, long btime, H5O_hdr_info_t hdr, H5_ih_info_t meta_size_obj, H5_ih_info_t meta_size_attr)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileno

    public long fileno

### addr

    public long addr

### type

    public int type

### rc

    public int rc

### atime

    public long atime

### mtime

    public long mtime

### ctime

    public long ctime

### btime

    public long btime

### num_attrs

    public long num_attrs

### hdr

    public H5O_hdr_info_t hdr

### meta_size_obj

    public H5_ih_info_t meta_size_obj

### meta_size_attr

    public H5_ih_info_t meta_size_attr

Constructor Detail

### H5O_info_t

    public H5O_info_t(long fileno,
                      long addr,
                      int type,
                      int rc,
                      long num_attrs,
                      long atime,
                      long mtime,
                      long ctime,
                      long btime,
                      H5O_hdr_info_t hdr,
                      H5_ih_info_t meta_size_obj,
                      H5_ih_info_t meta_size_attr)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD